Subject: [PATCH v4 5/5] clk: dt: binding for basic gate clock

From: [email-masked] (Tony Lindgren)
Date: Wed, 4 Sep 2013 10:59:09 -0700

* Haojian Zhuang <[email-masked]> [130903 20:11]:
> 
> We can see that it'll try to find static mapping. What's the static mapping?
> If we define iotable in machine driver, we have the static mapping, just like
> debug_ll. If we parse everything from DTS file, it'll always get a new virtual
> address from vm area. So it always create a new page mapping even for one
> register.

I may not follow you here.. But it seems that you've missing something with
the static mapping: It's found based on the physical address. So if you
create static mappings for your SoC with iotable_init(), those mappings
will be available everywhere including drivers when you do ioremap().

Regards,

Tony